﻿@import '../configVariables.css';
@import '../crudcss/navbar.css';

.bv-app-brand {
    background: var(--bv-primary);
    display: flex;
    height: 7rem;
    padding: 0.5rem 1.5rem;
    align-items: center;
    gap: 3rem;
    flex-shrink: 0;
}
.bv-menu-inner {
    background: var(--bv-primary);
}
#layout-menu {
    background-color: var(--bv-primary) !important;
}

@media (min-width: 1200px) {
    #layout-container {
        background: linear-gradient(to right, var(--bv-primary) var(--sidebar-width), transparent var(--sidebar-width));
    }

    #layout-container:has(.layout-menu.collapsed) {
        background: linear-gradient(to right, var(--bv-primary) var(--sidebar-collapsed-width), transparent var(--sidebar-collapsed-width));
    }
}
.bv-menu-link {
    color: var(--font-color) !important;
}

@media (min-width: 1200px) {
    .menu-inner {
        height: fit-content;
    }
    .menu-sub-group {
        margin-left: 1rem;
        display: grid;
        width: fit-content;
        grid-auto-columns: 15rem;
        background-color: var(--bv-primary);
        grid-template-rows: repeat(var(--menu-rows, 8), auto);
        grid-auto-flow: column;
        padding-bottom: 0.5rem;
        padding-top: 0.5rem;
        border-radius: 0.875rem;
    }

    .menu-sub-group > .menu-item {
        height: fit-content;
    }

    .menu-sub-group > .menu-item > .menu-link {
        width: auto;
        margin: 0;
        padding: 0.625rem;
    }

    .menu-sub-group > .menu-item > .menu-link > div {
        font-size: 0.875rem
    }

    .menu-sub-group .menu-sub-group {
        display: block;
        width: auto;
        margin-left: 1rem;
        background-color: transparent;
        border-radius: 0;
        padding-top: 0;
        padding-bottom: 0;
    }
}

@media (max-width: 1199px) {
    #collapse {
        display: none;
    }
}

@media (min-width: 1200px) {
    .layout-menu.collapsed > .bv-app-brand {
        padding: 0px;
    }

    .layout-menu.collapsed > .menu-inner > .menu-item,
    .layout-menu.collapsed > .menu-inner > .menu-item > .menu-link {
        width: 100%;
        margin: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .layout-menu.collapsed > .menu-inner > .menu-item > .menu-link > .menu-icon {
        margin: 0;
    }

    .layout-menu.collapsed > .menu-inner > .menu-item > .menu-link > div {
        display: none;
    }
    .layout-menu.collapsed {
        width: var(--sidebar-collapsed-width);
        transition: width 0.8s ease-in-out 0.1s;
    }
    .layout-menu.collapsed .menu-inner .menu-item .menu-link:not(.active):hover {
        background-color: var(--bv-primary-hover);
    }

}

.layout-menu {
    width: var(--sidebar-width);
    transition: width 0.8s ease-in-out 0.1s;
}

.menu-inner .menu-item.open > .menu-link {
    background-color: var(--bv-primary-hover)
}

.layout-menu .menu-inner .menu-item .menu-link:not(.active):hover {
    background-color: var(--bv-primary-hover);
}
.layout-page {
    display: flex;
    padding: 0px 1rem;
    gap: 1rem;
    padding-top: 1rem !important;
}

.card-body-top {
    padding-top: 1.5rem !important;
}